<?xml version="1.0" encoding="UTF-8"?>
<!-- edited with XMLSpy v2013 rel. 2 (x64) (http://www.altova.com) by Standa (Logica Czech Republic s.r.o.) -->
<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns="http://www.ote-cr.cz/schema/cds/gsaucinf" xmlns:ote="http://www.ote-cr.cz/schema/globals" xmlns:ds="http://www.w3.org/2000/09/xmldsig#" targetNamespace="http://www.ote-cr.cz/schema/cds/gsaucinf" elementFormDefault="qualified" attributeFormDefault="unqualified">
	<xsd:import namespace="http://www.ote-cr.cz/schema/globals" schemaLocation="./ote_globals.xsd"/>
	<xsd:import namespace="http://www.w3.org/2000/09/xmldsig#" schemaLocation="./xmldsig-core-schema.xsd"/>
	<xsd:element name="CDSGSAUCINF">
		<xsd:annotation>
			<xsd:documentation xml:lang="CS">Rootovský element obsahující základní údaje o zprávě</xsd:documentation>
			<xsd:documentation xml:lang="EN">Root element containing basic message data</xsd:documentation>
		</xsd:annotation>
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element name="SenderIdentification" type="ote:SenderIdentificationType">
					<xsd:annotation>
						<xsd:documentation xml:lang="CS">Identifikace odesílatele zprávy</xsd:documentation>
						<xsd:documentation xml:lang="EN">Message sender identification - for electronic invoice the invoice sender - distributor.</xsd:documentation>
					</xsd:annotation>
				</xsd:element>
				<xsd:element name="ReceiverIdentification" type="ote:ReceiverIdentificationType">
					<xsd:annotation>
						<xsd:documentation xml:lang="CS">Identifikace příjemce zprávy. </xsd:documentation>
						<xsd:documentation xml:lang="EN">Message receiver identification. For electronic invoice the invoice receiver - the supplier.</xsd:documentation>
					</xsd:annotation>
				</xsd:element>
				<xsd:element name="Data">
					<xsd:annotation>
						<xsd:documentation xml:lang="CDS">Data</xsd:documentation>
					</xsd:annotation>
					<xsd:complexType>
						<xsd:attribute name="location" use="required">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">EIC Označení zásobníku plynu</xsd:documentation>
							</xsd:annotation>
							<xsd:simpleType>
								<xsd:restriction base="ote:pod_id"/>
							</xsd:simpleType>
						</xsd:attribute>
						<xsd:attribute name="provider" use="required">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">EIC provozovatel zásobníku plynu</xsd:documentation>
							</xsd:annotation>
							<xsd:simpleType>
								<xsd:restriction base="ote:mp_id"/>
							</xsd:simpleType>
						</xsd:attribute>
						<xsd:attribute name="operation-type" use="required">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">typ zveřejnění</xsd:documentation>
								<xsd:documentation xml:lang="EN">Unit relevant for quantity</xsd:documentation>
							</xsd:annotation>
							<xsd:simpleType>
								<xsd:restriction base="xsd:string">
									<xsd:enumeration value="NEW">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Nové oznámení</xsd:documentation>
											<xsd:documentation xml:lang="EN">New announcement</xsd:documentation>
										</xsd:annotation>
									</xsd:enumeration>
									<xsd:enumeration value="UPDATE">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Aktualizace oznámení</xsd:documentation>
											<xsd:documentation xml:lang="EN">Update announcement</xsd:documentation>
										</xsd:annotation>
									</xsd:enumeration>
								</xsd:restriction>
							</xsd:simpleType>
						</xsd:attribute>
						<xsd:attribute name="auc-date-time" type="xsd:dateTime" use="required">
							<xsd:annotation>
								<xsd:documentation>termín aukce skladovací kapacity  Datum a čas od(UTC)  YYYY-MM-DDTHH:MM:SSZ</xsd:documentation>
							</xsd:annotation>
						</xsd:attribute>
						<xsd:attribute name="amount" type="xsd:decimal" use="required">
							<xsd:annotation>
								<xsd:documentation>celková velikost nabízené skladovací kapacity </xsd:documentation>
							</xsd:annotation>
						</xsd:attribute>
						<xsd:attribute name="unit" use="required">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Jednotka</xsd:documentation>
								<xsd:documentation xml:lang="EN">Unit relevant for quantity</xsd:documentation>
							</xsd:annotation>
							<xsd:simpleType>
								<xsd:restriction base="xsd:string">
									<xsd:enumeration value="KWH"/>
									<xsd:enumeration value="M3"/>
								</xsd:restriction>
							</xsd:simpleType>
						</xsd:attribute>
						<xsd:attribute name="capacity-type" use="required">
							<xsd:annotation>
								<xsd:documentation>typ skladovací kapacity, 1.	Skladovací kapacita podle § 50 odst. 4 PTP </xsd:documentation>
							</xsd:annotation>
							<xsd:simpleType>
								<xsd:restriction base="xsd:string">
									<xsd:enumeration value="T01">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Skladovací kapacita s pevným výkonem</xsd:documentation>
											<xsd:documentation xml:lang="EN">firm</xsd:documentation>
										</xsd:annotation>
									</xsd:enumeration>
									<xsd:enumeration value="T02">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Skladovací kapacita s přerušitelným výkonem</xsd:documentation>
											<xsd:documentation xml:lang="EN">interruptible</xsd:documentation>
										</xsd:annotation>
									</xsd:enumeration>
									<xsd:enumeration value="T03">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Skladovací kapacita</xsd:documentation>
											<xsd:documentation xml:lang="EN">storage capacity</xsd:documentation>
										</xsd:annotation>
									</xsd:enumeration>
								</xsd:restriction>
							</xsd:simpleType>
						</xsd:attribute>
						<xsd:attribute name="capacity-type-duration" use="required">
							<xsd:annotation>
								<xsd:documentation>typ skladovací kapacity, Skladovací kapacita podle § 50 odst. 8 PTP </xsd:documentation>
							</xsd:annotation>
							<xsd:simpleType>
								<xsd:restriction base="xsd:string">
									<xsd:enumeration value="D01">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Roční skladovací kapacita</xsd:documentation>
											<xsd:documentation xml:lang="EN">Yearly</xsd:documentation>
										</xsd:annotation>
									</xsd:enumeration>
									<xsd:enumeration value="D02">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Měsíční skladovací kapacita
</xsd:documentation>
											<xsd:documentation xml:lang="EN">Monthly</xsd:documentation>
										</xsd:annotation>
									</xsd:enumeration>
									<xsd:enumeration value="D03">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Denní</xsd:documentation>
											<xsd:documentation xml:lang="EN">Daily</xsd:documentation>
										</xsd:annotation>
									</xsd:enumeration>
									<xsd:enumeration value="D04">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Nevyužitá</xsd:documentation>
											<xsd:documentation xml:lang="EN">Unused</xsd:documentation>
										</xsd:annotation>
									</xsd:enumeration>
									<xsd:enumeration value="D05">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Jiná skladovací kapacita </xsd:documentation>
											<xsd:documentation xml:lang="EN">Unused/Other storage capacity   </xsd:documentation>
										</xsd:annotation>
									</xsd:enumeration>
								</xsd:restriction>
							</xsd:simpleType>
						</xsd:attribute>
						<xsd:attribute name="contract-reference" use="required">
							<xsd:annotation>
								<xsd:documentation>název skladovacího produktu </xsd:documentation>
							</xsd:annotation>
							<xsd:simpleType>
								<xsd:restriction base="xsd:string">
									<xsd:maxLength value="60"/>
								</xsd:restriction>
							</xsd:simpleType>
						</xsd:attribute>
						<xsd:attribute name="period-date-time-from" type="xsd:dateTime" use="required">
							<xsd:annotation>
								<xsd:documentation>maximální doba trvání rezervace skladovací kapacity Datum a čas od(UTC)  YYYY-MM-DDTHH:MM:SSZ</xsd:documentation>
							</xsd:annotation>
						</xsd:attribute>
						<xsd:attribute name="period-date-time-to" type="xsd:dateTime" use="required">
							<xsd:annotation>
								<xsd:documentation>maximální doba trvání rezervace skladovací kapacity  Datum a čas do(UTC)  YYYY-MM-DDTHH:MM:SSZ</xsd:documentation>
							</xsd:annotation>
						</xsd:attribute>
						<xsd:attribute name="auc-link" use="required">
							<xsd:annotation>
								<xsd:documentation>URL adresa pro další informace o aukci </xsd:documentation>
							</xsd:annotation>
							<xsd:simpleType>
								<xsd:restriction base="xsd:string">
									<xsd:maxLength value="120"/>
								</xsd:restriction>
							</xsd:simpleType>
						</xsd:attribute>
						<xsd:attribute name="price" use="optional">
							<xsd:annotation>
								<xsd:documentation>Cena</xsd:documentation>
							</xsd:annotation>
							<xsd:simpleType>
								<xsd:restriction base="xsd:decimal">
									<xsd:totalDigits value="21"/>
									<xsd:fractionDigits value="3"/>
								</xsd:restriction>
							</xsd:simpleType>
						</xsd:attribute>
						<xsd:attribute name="currency" use="optional">
							<xsd:annotation>
								<xsd:documentation>měna</xsd:documentation>
							</xsd:annotation>
							<xsd:simpleType>
								<xsd:restriction base="xsd:string">
									<xsd:maxLength value="3"/>
									<xsd:enumeration value="CZK"/>
									<xsd:enumeration value="EUR"/>
								</xsd:restriction>
							</xsd:simpleType>
						</xsd:attribute>
					</xsd:complexType>
				</xsd:element>
			</xsd:sequence>
			<xsd:attribute name="id" type="ote:msg-id" use="required">
				<xsd:annotation>
					<xsd:documentation xml:lang="EN">Message Identification</xsd:documentation>
					<xsd:documentation xml:lang="CS">Identifikátor zprávy</xsd:documentation>
				</xsd:annotation>
			</xsd:attribute>
			<xsd:attribute name="message-code" use="required">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Kód zprávy upřesňující obsah zprávy.</xsd:documentation>
					<xsd:documentation xml:lang="EN">Message code that specifies the message content.</xsd:documentation>
				</xsd:annotation>
				<xsd:simpleType>
					<xsd:restriction base="xsd:string">
						<xsd:enumeration value="GCB">
							<xsd:annotation>
								<xsd:documentation source="Informace o aukcích na skladovací kapacity" xml:lang="CS"/>
								<xsd:documentation source="Information about storage capacity auctions" xml:lang="EN"/>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="GCD">
							<xsd:annotation>
								<xsd:documentation source="Informace o aukcích na skladovací kapacity – přeposlání dat" xml:lang="CS"/>
								<xsd:documentation source="Information about storage capacity auctions – data forwarding" xml:lang="EN"/>
							</xsd:annotation>
						</xsd:enumeration>
					</xsd:restriction>
				</xsd:simpleType>
			</xsd:attribute>
			<xsd:attribute name="date-time" type="xsd:dateTime" use="required">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Datum a čas zprávy(UTC)  YYYY-MM-DDTHH:MM:SSZ</xsd:documentation>
					<xsd:documentation xml:lang="EN">Date and time of message</xsd:documentation>
				</xsd:annotation>
			</xsd:attribute>
		</xsd:complexType>
	</xsd:element>
</xsd:schema>
